ghc-7.0.4: The GHC API

HsImpExp

Synopsis

- type LImportDecl name = Located (ImportDecl name)
- data ImportDecl name = ImportDecl {
  - ideclName :: Located ModuleName
  - ideclPkgQual :: Maybe FastString
  - ideclSource :: Bool
  - ideclQualified :: Bool
  - ideclAs :: Maybe ModuleName
  - ideclHiding :: Maybe (Bool, [LIE name])
  }
- type LIE name = Located (IE name)
- data IE name
  - = IEVar name
  - | IEThingAbs name
  - | IEThingAll name
  - | IEThingWith name [name]
  - | IEModuleContents ModuleName
  - | IEGroup Int HsDocString
  - | IEDoc HsDocString
  - | IEDocNamed String
- ieName :: IE name -> name
- ieNames :: IE a -> [a]

# Documentation

type LImportDecl name = Located (ImportDecl name)Source

data ImportDecl name Source

A single Haskell `import` declaration.

Constructors

ImportDecl |

Fields

ideclName :: Located ModuleName

  Module name.

ideclPkgQual :: Maybe FastString

  Package qualifier.

ideclSource :: Bool

  True = {--} import

ideclQualified :: Bool

  True => qualified

ideclAs :: Maybe ModuleName

  as Module

ideclHiding :: Maybe (Bool, [LIE name])

  (True => hiding, names)

Instances

Typeable1 ImportDecl |
Data name => Data (ImportDecl name) |
Outputable name => Outputable (ImportDecl name) |

type LIE name = Located (IE name)Source

data IE name Source

Imported or exported entity.

Constructors

IEVar name |
IEThingAbs name | Class/Type (can't tell)
IEThingAll name | ClassType plus all methodsconstructors
IEThingWith name [name] | ClassType plus some methodsconstructors
IEModuleContents ModuleName | (Export Only)
IEGroup Int HsDocString | Doc section heading
IEDoc HsDocString | Some documentation
IEDocNamed String | Reference to named doc

Instances

Typeable1 IE |
Data name => Data (IE name) |
Outputable name => Outputable (IE name) |

ieName :: IE name -> nameSource

ieNames :: IE a -> [a]Source